#ifndef SELECTMODEUI_H
#define SELECTMODEUI_H

#include <qvariant.h>


#include <Qt3Support/Q3ButtonGroup>
#include <Qt3Support/Q3MimeSourceFactory>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QDialog>
#include <QtGui/QGridLayout>
#include <QtGui/QHBoxLayout>
#include <QtGui/QHeaderView>
#include <QtGui/QLabel>
#include <QtGui/QPushButton>
#include <QtGui/QRadioButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QVBoxLayout>

QT_BEGIN_NAMESPACE

class Ui_SelectModeUi
{
public:
    QVBoxLayout *vboxLayout;
    QSpacerItem *spacer2_2;
    QLabel *textLabel1;
    QSpacerItem *spacer2;
    Q3ButtonGroup *buttonGroup1;
    QGridLayout *gridLayout;
    QRadioButton *importFileRadio;
    QRadioButton *createFileRadio;
    QRadioButton *importCardRadio;
    QRadioButton *pinTanRadio;
    QRadioButton *initCardRadio;
    QHBoxLayout *hboxLayout;
    QSpacerItem *Horizontal_Spacing2;
    QPushButton *buttonOk;
    QPushButton *buttonCancel;

    void setupUi(QDialog *SelectModeUi)
    {
        if (SelectModeUi->objectName().isEmpty())
            SelectModeUi->setObjectName(QString::fromUtf8("SelectModeUi"));
        SelectModeUi->resize(511, 348);
        SelectModeUi->setSizeGripEnabled(true);
        vboxLayout = new QVBoxLayout(SelectModeUi);
        vboxLayout->setSpacing(6);
        vboxLayout->setMargin(11);
        vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
        spacer2_2 = new QSpacerItem(20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding);

        vboxLayout->addItem(spacer2_2);

        textLabel1 = new QLabel(SelectModeUi);
        textLabel1->setObjectName(QString::fromUtf8("textLabel1"));
        textLabel1->setWordWrap(false);

        vboxLayout->addWidget(textLabel1);

        spacer2 = new QSpacerItem(20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding);

        vboxLayout->addItem(spacer2);

        buttonGroup1 = new Q3ButtonGroup(SelectModeUi);
        buttonGroup1->setObjectName(QString::fromUtf8("buttonGroup1"));
        buttonGroup1->setColumnLayout(0, Qt::Vertical);
        buttonGroup1->layout()->setSpacing(6);
        buttonGroup1->layout()->setMargin(11);
        gridLayout = new QGridLayout();
        QBoxLayout *boxlayout = qobject_cast<QBoxLayout *>(buttonGroup1->layout());
        if (boxlayout)
            boxlayout->addLayout(gridLayout);
        gridLayout->setAlignment(Qt::AlignTop);
        gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
        importFileRadio = new QRadioButton(buttonGroup1);
        importFileRadio->setObjectName(QString::fromUtf8("importFileRadio"));

        gridLayout->addWidget(importFileRadio, 0, 1, 2, 1);

        createFileRadio = new QRadioButton(buttonGroup1);
        createFileRadio->setObjectName(QString::fromUtf8("createFileRadio"));

        gridLayout->addWidget(createFileRadio, 2, 1, 1, 1);

        importCardRadio = new QRadioButton(buttonGroup1);
        importCardRadio->setObjectName(QString::fromUtf8("importCardRadio"));

        gridLayout->addWidget(importCardRadio, 0, 0, 1, 1);

        pinTanRadio = new QRadioButton(buttonGroup1);
        pinTanRadio->setObjectName(QString::fromUtf8("pinTanRadio"));
        pinTanRadio->setChecked(true);

        gridLayout->addWidget(pinTanRadio, 3, 0, 1, 1);

        initCardRadio = new QRadioButton(buttonGroup1);
        initCardRadio->setObjectName(QString::fromUtf8("initCardRadio"));
        initCardRadio->setEnabled(false);

        gridLayout->addWidget(initCardRadio, 1, 0, 2, 1);


        vboxLayout->addWidget(buttonGroup1);

        hboxLayout = new QHBoxLayout();
        hboxLayout->setSpacing(6);
        hboxLayout->setMargin(0);
        hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
        Horizontal_Spacing2 = new QSpacerItem(20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

        hboxLayout->addItem(Horizontal_Spacing2);

        buttonOk = new QPushButton(SelectModeUi);
        buttonOk->setObjectName(QString::fromUtf8("buttonOk"));
        buttonOk->setAutoDefault(true);
        buttonOk->setDefault(true);

        hboxLayout->addWidget(buttonOk);

        buttonCancel = new QPushButton(SelectModeUi);
        buttonCancel->setObjectName(QString::fromUtf8("buttonCancel"));
        buttonCancel->setAutoDefault(true);

        hboxLayout->addWidget(buttonCancel);


        vboxLayout->addLayout(hboxLayout);

        QWidget::setTabOrder(importCardRadio, importFileRadio);
        QWidget::setTabOrder(importFileRadio, initCardRadio);
        QWidget::setTabOrder(initCardRadio, createFileRadio);
        QWidget::setTabOrder(createFileRadio, pinTanRadio);
        QWidget::setTabOrder(pinTanRadio, buttonOk);
        QWidget::setTabOrder(buttonOk, buttonCancel);

        retranslateUi(SelectModeUi);
        QObject::connect(buttonOk, SIGNAL(clicked()), SelectModeUi, SLOT(accept()));
        QObject::connect(buttonCancel, SIGNAL(clicked()), SelectModeUi, SLOT(reject()));

        QMetaObject::connectSlotsByName(SelectModeUi);
    } // setupUi

    void retranslateUi(QDialog *SelectModeUi)
    {
        SelectModeUi->setWindowTitle(QApplication::translate("SelectModeUi", "Create or Import User", 0, QApplication::UnicodeUTF8));
        textLabel1->setText(QApplication::translate("SelectModeUi", "<qt><p>You can now setup a new online banking user.</p>\n"
"<p>Please note that AqHBCI/ABanking can only import keyfiles which have been created with OpenHBCI- or AqBanking-based applications.</p>\n"
"<p>Keyfiles of proprietary software - like Moneyplex, Starmoney etc - can not be used, since the manufacturers of those programs do not publish their file formats.</p>\n"
"<p>Keyfiles created by Gnucash, KMymoney, AqMoney, KOpenHBCI, GOpenHBCI, LxBank, AqHBCI-Tool and QBankManager can be used.</p>\n"
"</qt>", 0, QApplication::UnicodeUTF8));
        buttonGroup1->setTitle(QApplication::translate("SelectModeUi", "Create or Import User", 0, QApplication::UnicodeUTF8));
        importFileRadio->setText(QApplication::translate("SelectModeUi", "Import Keyfile", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        importFileRadio->setProperty("toolTip", QVariant(QApplication::translate("SelectModeUi", "Import an existing keyfile", 0, QApplication::UnicodeUTF8)));
#endif // QT_NO_TOOLTIP
        createFileRadio->setText(QApplication::translate("SelectModeUi", "Create Keyfile", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        createFileRadio->setProperty("toolTip", QVariant(QApplication::translate("SelectModeUi", "Create a new keyfile", 0, QApplication::UnicodeUTF8)));
#endif // QT_NO_TOOLTIP
        importCardRadio->setText(QApplication::translate("SelectModeUi", "Import Chipcard", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        importCardRadio->setProperty("toolTip", QVariant(QApplication::translate("SelectModeUi", "Use with DDV cards or personalized RSA cards", 0, QApplication::UnicodeUTF8)));
#endif // QT_NO_TOOLTIP
        pinTanRadio->setText(QApplication::translate("SelectModeUi", "Setup PIN/TAN", 0, QApplication::UnicodeUTF8));
        initCardRadio->setText(QApplication::translate("SelectModeUi", "Init Chipcard", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        initCardRadio->setProperty("toolTip", QVariant(QApplication::translate("SelectModeUi", "Use with completely new RSA cards", 0, QApplication::UnicodeUTF8)));
#endif // QT_NO_TOOLTIP
        buttonOk->setText(QApplication::translate("SelectModeUi", "&OK", 0, QApplication::UnicodeUTF8));
        buttonOk->setShortcut(QString());
        buttonCancel->setText(QApplication::translate("SelectModeUi", "&Cancel", 0, QApplication::UnicodeUTF8));
        buttonCancel->setShortcut(QString());
        Q_UNUSED(SelectModeUi);
    } // retranslateUi

};

namespace Ui {
    class SelectModeUi: public Ui_SelectModeUi {};
} // namespace Ui

QT_END_NAMESPACE

class SelectModeUi : public QDialog, public Ui::SelectModeUi
{
    Q_OBJECT

public:
    SelectModeUi(QWidget* parent = 0, const char* name = 0, bool modal = false, Qt::WindowFlags fl = 0);
    ~SelectModeUi();

protected slots:
    virtual void languageChange();

};

#endif // SELECTMODEUI_H
