#ifndef ACTIONWIDGETUI_H
#define ACTIONWIDGETUI_H

#include <qvariant.h>


#include <Qt3Support/Q3GroupBox>
#include <Qt3Support/Q3MimeSourceFactory>
#include <Qt3Support/Q3TextView>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QHBoxLayout>
#include <QtGui/QHeaderView>
#include <QtGui/QLabel>
#include <QtGui/QPushButton>
#include <QtGui/QVBoxLayout>
#include <QtGui/QWidget>

QT_BEGIN_NAMESPACE

class Ui_ActionWidgetUi
{
public:
    QVBoxLayout *vboxLayout;
    QLabel *_titleLabel;
    Q3GroupBox *_groupBox;
    QVBoxLayout *vboxLayout1;
    Q3TextView *_descrView;
    QHBoxLayout *hboxLayout;
    QPushButton *_button;
    QLabel *TextLabel1_2_2;
    QLabel *_resultLabel;

    void setupUi(QWidget *ActionWidgetUi)
    {
        if (ActionWidgetUi->objectName().isEmpty())
            ActionWidgetUi->setObjectName(QString::fromUtf8("ActionWidgetUi"));
        ActionWidgetUi->resize(485, 383);
        vboxLayout = new QVBoxLayout(ActionWidgetUi);
        vboxLayout->setSpacing(6);
        vboxLayout->setMargin(11);
        vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
        _titleLabel = new QLabel(ActionWidgetUi);
        _titleLabel->setObjectName(QString::fromUtf8("_titleLabel"));
        _titleLabel->setFrameShape(QFrame::NoFrame);
        _titleLabel->setFrameShadow(QFrame::Plain);
        _titleLabel->setWordWrap(false);

        vboxLayout->addWidget(_titleLabel);

        _groupBox = new Q3GroupBox(ActionWidgetUi);
        _groupBox->setObjectName(QString::fromUtf8("_groupBox"));
        QSizePolicy sizePolicy(static_cast<QSizePolicy::Policy>(7), static_cast<QSizePolicy::Policy>(5));
        sizePolicy.setHorizontalStretch(0);
        sizePolicy.setVerticalStretch(0);
        sizePolicy.setHeightForWidth(_groupBox->sizePolicy().hasHeightForWidth());
        _groupBox->setSizePolicy(sizePolicy);
        _groupBox->setColumnLayout(0, Qt::Vertical);
        _groupBox->layout()->setSpacing(6);
        _groupBox->layout()->setMargin(11);
        vboxLayout1 = new QVBoxLayout();
        QBoxLayout *boxlayout = qobject_cast<QBoxLayout *>(_groupBox->layout());
        if (boxlayout)
            boxlayout->addLayout(vboxLayout1);
        vboxLayout1->setAlignment(Qt::AlignTop);
        vboxLayout1->setObjectName(QString::fromUtf8("vboxLayout1"));
        _descrView = new Q3TextView(_groupBox);
        _descrView->setObjectName(QString::fromUtf8("_descrView"));

        vboxLayout1->addWidget(_descrView);

        hboxLayout = new QHBoxLayout();
        hboxLayout->setSpacing(6);
        hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
        _button = new QPushButton(_groupBox);
        _button->setObjectName(QString::fromUtf8("_button"));

        hboxLayout->addWidget(_button);

        TextLabel1_2_2 = new QLabel(_groupBox);
        TextLabel1_2_2->setObjectName(QString::fromUtf8("TextLabel1_2_2"));
        TextLabel1_2_2->setAlignment(Qt::AlignVCenter|Qt::AlignRight);
        TextLabel1_2_2->setWordWrap(false);

        hboxLayout->addWidget(TextLabel1_2_2);

        _resultLabel = new QLabel(_groupBox);
        _resultLabel->setObjectName(QString::fromUtf8("_resultLabel"));
        QPalette palette;
        palette.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(0), QColor(0, 0, 0));
        palette.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(1), QColor(220, 223, 224));
        palette.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(2), QColor(255, 255, 255));
        palette.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(3), QColor(237, 239, 239));
        palette.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(4), QColor(110, 111, 112));
        palette.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(5), QColor(146, 148, 149));
        palette.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(6), QColor(0, 0, 0));
        palette.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(7), QColor(255, 255, 255));
        palette.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(8), QColor(0, 0, 0));
        palette.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(9), QColor(255, 255, 255));
        palette.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(10), QColor(255, 255, 255));
        palette.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(11), QColor(0, 0, 0));
        palette.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(12), QColor(0, 0, 128));
        palette.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(13), QColor(255, 255, 255));
        palette.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(14), QColor(0, 0, 0));
        palette.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(15), QColor(0, 0, 0));
        palette.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(0), QColor(0, 0, 0));
        palette.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(1), QColor(220, 223, 224));
        palette.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(2), QColor(255, 255, 255));
        palette.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(3), QColor(252, 254, 255));
        palette.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(4), QColor(110, 111, 112));
        palette.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(5), QColor(146, 148, 149));
        palette.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(6), QColor(0, 0, 0));
        palette.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(7), QColor(255, 255, 255));
        palette.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(8), QColor(0, 0, 0));
        palette.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(9), QColor(255, 255, 255));
        palette.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(10), QColor(255, 255, 255));
        palette.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(11), QColor(0, 0, 0));
        palette.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(12), QColor(0, 0, 128));
        palette.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(13), QColor(255, 255, 255));
        palette.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(14), QColor(0, 0, 0));
        palette.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(15), QColor(0, 0, 0));
        palette.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(0), QColor(128, 128, 128));
        palette.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(1), QColor(220, 223, 224));
        palette.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(2), QColor(255, 255, 255));
        palette.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(3), QColor(252, 254, 255));
        palette.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(4), QColor(110, 111, 112));
        palette.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(5), QColor(146, 148, 149));
        palette.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(6), QColor(128, 128, 128));
        palette.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(7), QColor(255, 255, 255));
        palette.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(8), QColor(128, 128, 128));
        palette.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(9), QColor(255, 255, 255));
        palette.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(10), QColor(255, 255, 255));
        palette.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(11), QColor(0, 0, 0));
        palette.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(12), QColor(0, 0, 128));
        palette.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(13), QColor(255, 255, 255));
        palette.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(14), QColor(0, 0, 0));
        palette.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(15), QColor(0, 0, 0));
        _resultLabel->setPalette(palette);
        _resultLabel->setFrameShape(QFrame::StyledPanel);
        _resultLabel->setFrameShadow(QFrame::Sunken);
        _resultLabel->setWordWrap(false);

        hboxLayout->addWidget(_resultLabel);


        vboxLayout1->addLayout(hboxLayout);


        vboxLayout->addWidget(_groupBox);


        retranslateUi(ActionWidgetUi);

        QMetaObject::connectSlotsByName(ActionWidgetUi);
    } // setupUi

    void retranslateUi(QWidget *ActionWidgetUi)
    {
        ActionWidgetUi->setWindowTitle(QApplication::translate("ActionWidgetUi", "Example", 0, QApplication::UnicodeUTF8));
        _titleLabel->setText(QApplication::translate("ActionWidgetUi", "Example", 0, QApplication::UnicodeUTF8));
        _groupBox->setTitle(QString());
        _descrView->setText(QApplication::translate("ActionWidgetUi", "Example", 0, QApplication::UnicodeUTF8));
        _button->setText(QApplication::translate("ActionWidgetUi", "Example", 0, QApplication::UnicodeUTF8));
        TextLabel1_2_2->setText(QApplication::translate("ActionWidgetUi", "Result:", 0, QApplication::UnicodeUTF8));
        _resultLabel->setText(QString());
        Q_UNUSED(ActionWidgetUi);
    } // retranslateUi

};

namespace Ui {
    class ActionWidgetUi: public Ui_ActionWidgetUi {};
} // namespace Ui

QT_END_NAMESPACE

class ActionWidgetUi : public QWidget, public Ui::ActionWidgetUi
{
    Q_OBJECT

public:
    ActionWidgetUi(QWidget* parent = 0, const char* name = 0, Qt::WindowFlags fl = 0);
    ~ActionWidgetUi();

protected slots:
    virtual void languageChange();

};

#endif // ACTIONWIDGETUI_H
